INTERFACE
SUBROUTINE ACPTKE ( KIDIA,KFDIA,KLON,KTDIA,KLEV,KSTEP,&
 & PAPHI,PAPHIF,PDELP,PRDELP,PKNROV,&
 & PT,PU,PV,PALPH,&
 & PAPRS,PR,PTKE,PLMU,PLNPR,PF_EPS,PFUN_TTE,&
 & PMRIPP,PMRIFPP,PFMTKE_S1,PIPRT_S1,PCHI3_S1,PPHIQ_S1,PRHS,&
 & PMN2_ES,PMN2_EQ,PRRCOR,PDIFTQ,PDIFTS,PSHEAR,&
 & PCD,PGZ0,&
 & PKUROV,PKTROV,PXPTKEROV,&
 & PLMLTILD,PMXL,PLML,&
 & PTH_FUN,PWW_FUN,&
 & PTENDPTKE,PTAUITKE,PKERV,PTTE,PTKETILD) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTEP
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKNROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PF_EPS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFUN_TTE(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMRIFPP (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMRIPP (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFMTKE_S1 (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PIPRT_S1(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCHI3_S1 (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PPHIQ_S1 (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMN2_ES (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMN2_EQ (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRHS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGZ0(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKUROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PWW_FUN (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTH_FUN (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRRCOR (KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXPTKEROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTAUITKE(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PKERV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTKETILD(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDPTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLMLTILD(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLML(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMXL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSHEAR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTS(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDIFTQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTTE(KLON,KLEV)
END SUBROUTINE ACPTKE
END INTERFACE
