INTERFACE
SUBROUTINE ACRANEB_COEFS(KLON,KTDIA,KLEV,KJN,KIIDIA,KIFDIA,KAUCR,&
 & PAPRSF,PDELP,PQICE,PQLI,PDEOS,PEODSI,PEODSN,PEOSI,PEOSN,&
 & PEO1SI,PEO1SN,PEO2SI,PEO2SN,PUEOS,PUSI,PUSN,&
 & PEOSA,PEO1SA,PEO2SA,PEO3SA,PEO4SA,&
 & PMU0I,&
 & PA1C,PA2C,PA3C,PA4C,PA5C,PA1N,PA2N,PA3N,PA4N,PA5N) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KJN
INTEGER(KIND=JPIM),INTENT(IN) :: KIIDIA(KJN)
INTEGER(KIND=JPIM),INTENT(IN) :: KIFDIA(KJN)
INTEGER(KIND=JPIM),INTENT(IN) :: KAUCR
REAL(KIND=JPRB),INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQICE(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PQLI(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PDEOS(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEODSI(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEODSN(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEOSI(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEOSN(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO1SI(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO1SN(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO2SI(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO2SN(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PUEOS(KLON,0:KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PUSI(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PUSN(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEOSA(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO1SA(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO2SA(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO3SA(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PEO4SA(KLON,KLEV)
REAL(KIND=JPRB),INTENT(IN) :: PMU0I(KLON)
REAL(KIND=JPRB),INTENT(OUT) :: PA1C(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA2C(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA3C(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA4C(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA5C(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA1N(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA2N(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA3N(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA4N(KLON,KLEV)
REAL(KIND=JPRB),INTENT(OUT) :: PA5N(KLON,KLEV)
END SUBROUTINE ACRANEB_COEFS
END INTERFACE
