MODULE YOMLOUIS

USE PARKIND1  ,ONLY : JPRB

IMPLICIT NONE

SAVE

!*
!  ---------------------------------------------------------------------
!  This comdeck contains the fit of R in QNSE scheme
!  ---------------------------------------------------------------------

!R at neutrality
REAL(KIND=JPRB),PARAMETER :: RLOUIS_S0=0.136_JPRB
REAL(KIND=JPRB),PARAMETER :: PLOUIS_S0=0.130_JPRB

!fit of R(Ri) for QNSE
!unstable stratification
REAL(KIND=JPRB),PARAMETER :: RLOUIS_GU1=-2.67_JPRB
REAL(KIND=JPRB),PARAMETER :: RLOUIS_GU2=-6.15_JPRB
REAL(KIND=JPRB),PARAMETER :: PLOUIS_GU1=-1.13_JPRB
REAL(KIND=JPRB),PARAMETER :: PLOUIS_GU2=-3.80_JPRB

!stable stratification
REAL(KIND=JPRB),PARAMETER :: RLOUIS_GS1=1.0_JPRB
REAL(KIND=JPRB),PARAMETER :: RLOUIS_GS2=2.08_JPRB
REAL(KIND=JPRB),PARAMETER :: RLOUIS_GS3=1.0_JPRB
REAL(KIND=JPRB),PARAMETER :: RLOUIS_GS4=2.7_JPRB
REAL(KIND=JPRB),PARAMETER :: PLOUIS_GS1=1.0_JPRB
REAL(KIND=JPRB),PARAMETER :: PLOUIS_GS2=1.93_JPRB
REAL(KIND=JPRB),PARAMETER :: PLOUIS_GS3=1.1_JPRB
REAL(KIND=JPRB),PARAMETER :: PLOUIS_GS4=3.55_JPRB


END MODULE YOMLOUIS
